SETLOCAL
cd /d %DPATH%

for /f "delims=" %%a in ('type BWP_DL_input.txt') do @set BWD=%%a

:: correct wrongly extracted files
%IF% "%BWD%\GharethNPC.exe" (
	MD "GharethNPC\2da"
	MD "GharethNPC\Audio"
	MD "GharethNPC\Backup"
	MD "GharethNPC\CRE"
	MD "GharethNPC\d"
	MD "GharethNPC\english"
	MD "GharethNPC\epilogue"
	MD "GharethNPC\portraits"
	MD "GharethNPC\scripts"
	Move GharethNPC\fwghand1.2DA GharethNPC\2da"
	Move GharethNPC\*.ogg GharethNPC\Audio"
	Move GharethNPC\oggdec.exe GharethNPC\Audio"
	Move GharethNPC\keep-me GharethNPC\Backup"
	Move GharethNPC\*.cre GharethNPC\CRE"
	Move GharethNPC\*.d GharethNPC\d"
	Move GharethNPC\*.bmp GharethNPC\portraits"
	Move GharethNPC\*.baf GharethNPC\scripts"
	Move "GharethNPC\Setup-Ghareth.* "."
	%W5%
	ren GharethNPC Ghareth
)

%IF% "%BWD%\TurnaboutV1.exe" (
	MD "TurnaboutV1\2da"
	MD "TurnaboutV1\backup"
	MD "TurnaboutV1\baf"
	MD "TurnaboutV1\baf-extend"
	MD "TurnaboutV1\balthazar"
	MD "TurnaboutV1\copy"
	MD "TurnaboutV1\dialog"
	MD "TurnaboutV1\dialogsep"
	MD "TurnaboutV1\portrait"
	MD "TurnaboutV1\scripts"
	MD "TurnaboutV1\wavs"
	Move TurnaboutV1\*.2DA TurnaboutV1\2da"
	Move TurnaboutV1\keepme TurnaboutV1\backup"
	Move TurnaboutV1\ar6200.baf TurnaboutV1\baf-extend"
	Move TurnaboutV1\yoshimox.baf TurnaboutV1\baf-extend"
	Move TurnaboutV1\*.baf TurnaboutV1\baf"
	Move TurnaboutV1\BALTHAZS.bmp TurnaboutV1\balthazar"
	Move TurnaboutV1\NBALTHAL.bmp TurnaboutV1\balthazar"
	Move TurnaboutV1\*.cre TurnaboutV1\copy"
	Move TurnaboutV1\*.spl TurnaboutV1\copy"
	Move TurnaboutV1\*.itm TurnaboutV1\copy"
	Move TurnaboutV1\1.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\2.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\3.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\4.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\5.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\6.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\7.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\7b.d TurnaboutV1\dialogsep"
	Move TurnaboutV1\*.d TurnaboutV1\dialog"
	Move TurnaboutV1\*.bmp TurnaboutV1\portrait"
	Move TurnaboutV1\*.bcs TurnaboutV1\scripts"
	Move TurnaboutV1\*.ogg TurnaboutV1\wavs"
	Move "TurnaboutV1\setup-turnabout.* "."
	%W5%
	ren TurnaboutV1 turnabout
)

:: correct wrongly packed files
:: because of a bug in Windows (who is surprised?) the subfolder must be removed separately otherwise all files and folders may randomly vanish or not.
%IF% "7C-Yoshi-master" (
	Move ".\7C-Yoshi-master\7C-Yoshi" "."
	RD /S /Q ".\7C-Yoshi-master"
)
%IF% "A4Auror" (
	Move ".\A4Auror\Setup-A4Auror.exe" "."
)
%IF% "A7-ImprovedArcher-master" (
	Move ".\A7-ImprovedArcher-master\A7#ImprovedArcher" "."
	RD /S /Q ".\A7-ImprovedArcher-master"
)
%IF% "A7-SkipChateauIrenicus-master" (
	Move ".\A7-SkipChateauIrenicus-master\SkipChateauIrenicus" "."
	RD /S /Q ".\A7-SkipChateauIrenicus-master"
)
%IF% "AC_QUEST-master" (
	Move ".\AC_QUEST-master\setup-*" "."
	Move ".\AC_QUEST-master\AC_QUEST" "."
	RD /S /Q ".\AC_QUEST-master"
)
%IF% "ACBre-master" (
	Move ".\ACBre-master\Setup-*" "."
	Move ".\ACBre-master\ACBre" "."
	RD /S /Q ".\ACBre-master"
)
%IF% "Ajantis_BG1_Expansion-17" (
	Move ".\Ajantis_BG1_Expansion-17\ajantisbg1" "."
	RD /S /Q ".\Ajantis_BG1_Expansion-17"
)
%IF% "AllThingsMazzy 2.65+Russian" (
	Move ".\AllThingsMazzy 2.65+Russian\AllThingsMazzy" "."
	Move ".\AllThingsMazzy 2.65+Russian\Setup-AllThingsMazzy.exe" "."
	RD /S /Q ".\AllThingsMazzy 2.65+Russian"
)
%IF% "Alternatives-master" (
	Move ".\Alternatives-master\alternatives" "."
	RD /S /Q ".\Alternatives-master"
)
%IF% "angelo-master" (
	Move ".\Angelo-master\setup-*" "."
	Move ".\Angelo-master\angelo" "."
	RD /S /Q ".\Angelo-master"
)
%IF% "bgee-animus-master" (
	Move ".\bgee-animus-master\Setup-Animus.exe" "."
	Move ".\bgee-animus-master\Animus" "."
	RD /S /Q ".\bgee-animus-master"
)
%IF% "Aran-Whitehand-Beta_Luridel" %IFN% "Aran-Whitehand-master" (
	Move ".\Aran-Whitehand-Beta_Luridel\setup-*" "."
	Move ".\Aran-Whitehand-Beta_Luridel\aranw" "."
	RD /S /Q ".\Aran-Whitehand-Beta_Luridel"
)
%IF% "Aran-Whitehand-master" (
	Move ".\Aran-Whitehand-master\setup-*" "."
	Move ".\Aran-Whitehand-master\aranw" "."
	RD /S /Q ".\Aran-Whitehand-master"
)
%IF% "Auroras-Shoes-and-Boots-5.2.2" (
	Move ".\Auroras-Shoes-and-Boots-5.2.2\Setup-*" "."
	Move ".\Auroras-Shoes-and-Boots-5.2.2\aurora" "."
	RD /S /Q ".\Auroras-Shoes-and-Boots-5.2.2"
)
%IF% "AurenAseph-master" (
	Move ".\AurenAseph-master\aurenaseph" "."
	RD /S /Q ".\AurenAseph-master"
)
%IF% "Back_to_Brynnlaw-8" (
	Move ".\Back_to_Brynnlaw-8\BackBrynnlaw" "."
	RD /S /Q ".\Back_to_Brynnlaw-8"
)
%IF% "BG_Quests_And_Encounters-24" (
	Move ".\BG_Quests_And_Encounters-24\bgqe" "."
	RD /S /Q ".\BG_Quests_And_Encounters-24"
)
%IF% "BG1NPC-master" (
	Move ".\BG1NPC-master\Setup-bg1npc.exe" "."
	Move ".\BG1NPC-master\bg1npc" "."
	RD /S /Q ".\BG1NPC-master"
)
%IF% "bg1npcmusic-master" (
	Move ".\bg1npcmusic-master\bg1npcmusic" "."
	RD /S /Q ".\bg1npcmusic-master"
)
%IF% "BG2-Fixpack-11" (
	Move ".\BG2-Fixpack-11\setup-*" "."
	Move ".\BG2-Fixpack-11\bg2fixpack" "."
	RD /S /Q ".\BG2-Fixpack-11"
)
%IF% "bg2-tweaks-and-tricks-master" (
	Move ".\bg2-tweaks-and-tricks-master\tnt" "."
	Move ".\bg2-tweaks-and-tricks-master\docs" ".\tnt"
	Move ".\bg2-tweaks-and-tricks-master\README.md" ".\tnt"
	RD /S /Q ".\bg2-tweaks-and-tricks-master"
)
%IF% "BGT-WeiDU-master" (
	Move ".\BGT-WeiDU-master\setup-*" "."
	Move ".\BGT-WeiDU-master\bgt" "."
	Move ".\BGT-WeiDU-master\BGTReadme.htm" "."
	RD /S /Q ".\BGT-WeiDU-master"
)
%IF% "BPSeries_v03121" (
	Move ".\BPSeries_v03121\setup-bpseries.exe" "."
	Move ".\BPSeries_v03121\bpseries" "."
	RD /S /Q ".\BPSeries_v03121"
)
%IF% "bp-bgt-worldmap-v1024" (
	Move ".\bp-bgt-worldmap-v1024\bp-bgt-worldmap" "."
	Move ".\bp-bgt-worldmap-v1024\setup-bp-bgt-worldmap.exe" "."
	RD /S /Q ".\bp-bgt-worldmap-v1024"
)
%IF% "Branwen_for_BGII-7" (
	Move ".\Branwen_for_BGII-7\Branwen" "."
	RD /S /Q ".\Branwen_for_BGII-7"
)
%IF% "CerndFriendship-master" (
	Move /y ".\CerndFriendship-master\cernd.tp2" ".\CerndFriendship-master\cernd\cernd.tp2"
	Move /y ".\CerndFriendship-master\cerndfriendship-readme-english.html" ".\CerndFriendship-master\cernd\cerndfriendship-readme-english.html"
	Move ".\CerndFriendship-master\cernd" "."
	RD /S /Q ".\CerndFriendship-master"
)
%IF% "Club Of Pain V1.6" (
	Move ".\Club Of Pain V1.6\*.*" "."
	Move ".\Club Of Pain V1.6\ClubOfPain" "."
	RD /S /Q ".\Club Of Pain V1.6"
)
%IF% "CoranEE-master" (
	Move ".\CoranEE-master\setup-*" "."
	Move ".\CoranEE-master\Coran" "."
	RD /S /Q ".\CoranEE-master"
)
%IF% "Corthala_Romantique-master" (
	Move ".\Corthala_Romantique-master\corthalaromantique" "."
	RD /S /Q ".\Corthala_Romantique-master"
)
%IF% "CritterParts-1.1" (
	Move ".\CritterParts-1.1\*.*" "."
	Move ".\CritterParts-1.1\CritterParts" "."
	RD /S /Q ".\CritterParts-1.1"
)
%IF% "Crossmod_Banter_Pack_for_Baldurs_Gate_II-master" (
	Move ".\Crossmod_Banter_Pack_for_Baldurs_Gate_II-master\crossmodbg2" "."
	RD /S /Q ".\Crossmod_Banter_Pack_for_Baldurs_Gate_II-master"
)
%IF% "CtBv1.13a" (
	Move ".\CtBv1.13a\CtBv1.13\*.*" "."
	Move ".\CtBv1.13a\CtBv1.13\CtB" "."
	Move ".\CtBv1.13a\CtBv1.13\CtB_FF" "."
	RD /S /Q ".\CtBv1.13a\CtBv1.13"
	RD /S /Q ".\CtBv1.13a"
)
%IF% "D0Tweak-24" (
	Move ".\D0Tweak-24\setup-d0tweak.exe" "."
	Move ".\D0Tweak-24\d0Tweak" "."
	RD /S /Q ".\D0Tweak-24"
)
%IF% "Diff_Tweak" (
	Move ".\Diff_Tweak\*.*" "."
	Move ".\Diff_Tweak\DiffTweak" "."
	RD /S /Q ".\Diff_Tweak"
)
%IF% "Ardanis-divine_remix-2f5752e" (
	Move ".\Ardanis-divine_remix-2f5752e\divine_remix" "."
	RD /S /Q ".\Ardanis-divine_remix-2f5752e"
)
%IF% "Divine_Remix-master" (
	Move ".\Divine_Remix-master\divine_remix" "."
	RD /S /Q ".\Divine_Remix-master"
)
%IF% "DjinniCompanion-master" (
	Move ".\DjinniCompanion-master\DjinniCompanion" "."
	RD /S /Q ".\DjinniCompanion-master"
)
%IF% "DSotSC-master" (
	Move ".\DSotSC-master\DSotSC" "."
	Move ".\DSotSC-master\setup-DSotSC.exe" "."
	RD /S /Q ".\DSotSC-master"
)
%IF% "DungeonCrawl-master" (
	Move ".\DungeonCrawl-master\DC" "."
	Move ".\DungeonCrawl-master\setup-DC.exe" "."
	RD /S /Q ".\DungeonCrawl-master"
)
%IF% "EET_Tweaks-master" (
	Move ".\EET_Tweaks-master\setup-EET_Tweaks.exe" "."
	Move ".\EET_Tweaks-master\EET_Tweaks" "."
	RD /S /Q ".\EET_Tweaks-master"
)
%IF% "EndlessBG1-6" (
	Move ".\EndlessBG1-6\c#endlessbg1" "."
	RD /S /Q ".\EndlessBG1-6"
)
%IF% "FishingForTrouble-master" (
	Move ".\FishingForTrouble-master\Setup-FishingForTrouble.exe" "."
	Move ".\FishingForTrouble-master\FishingForTrouble" "."
	RD /S /Q ".\FishingForTrouble-master"
)
%IF% "Full_Plate_and_Packing_Steel-master" (
	Move ".\Full_Plate_and_Packing_Steel-master\setup-fullplate.exe" "."
	Move ".\Full_Plate_and_Packing_Steel-master\fullplate" "."
	RD /S /Q ".\Full_Plate_and_Packing_Steel-master"
)
%IF% "g3anniversary-master" (
	Move ".\g3anniversary-master\g3anniversary" "."
	RD /S /Q ".\g3anniversary-master"
)
%IF% "Garricks_Infatuation-master" (
	Move ".\Garricks_Infatuation-master\garrick_flirt" "."
	RD /S /Q ".\Garricks_Infatuation-master"
)
%IF% "Gavin_BG-master" (
	Move ".\Gavin_BG-master\Gavin" "."
	RD /S /Q ".\Gavin_BG-master"
)
%IF% "Gavin_BG2-master" (
	Move ".\Gavin_BG2-master\gavin_bg2" "."
	RD /S /Q ".\Gavin_BG2-master"
)
%IF% "Geomantic_Sorcerer-master" (
	Move ".\Geomantic_Sorcerer-master\druidsor" "."
	RD /S /Q ".\Geomantic_Sorcerer-master"
)
%IF% "ggib_tweaks-master" (
	Move ".\ggib_tweaks-master\ggib_tweaks" "."
	RD /S /Q ".\ggib_tweaks-master"
)
%IF% "Glam-NPC-Pack-master" (
	Move ".\Glam-NPC-Pack-master\GlamNPCPack" "."
	RD /S /Q ".\Glam-NPC-Pack-master"
)
%IF% "Grey_The_Dog-master" (
	Move ".\Grey_The_Dog-master\c#greythedog" "."
	RD /S /Q ".\Grey_The_Dog-master"
)
%IF% "HaerdalisFriendship-master" (
	Move ".\HaerdalisFriendship-master\haerdalis_friendship" "."
	RD /S /Q ".\HaerdalisFriendship-master"
)
%IF% "Haldamir-master" (
	Move ".\Haldamir-master\haldamir" "."
	RD /S /Q ".\Haldamir-master"
)
%IF% "hiddenadventure-master" (
	Move ".\hiddenadventure-master\hiddenadventure" "."
	RD /S /Q ".\hiddenadventure-master"
)
%IF% Imoen-v1202Full %IFN% "Imoen Romance - v3.3" (
	Move ".\Imoen-v1202Full\*.*" "."
	Move ".\Imoen-v1202Full\ImoenRom" "."
	RD /S /Q ".\Imoen-v1202Full"
)
%IF% "Imoen Romance - v3.3" (
	Move ".\Imoen Romance - v3.3\*.*" "."
	Move ".\Imoen Romance - v3.3\imoenRomance" "."
	RD /S /Q ".\Imoen Romance - v3.3"
)
%IF% "Indira_NPC-master" (
	Move ".\Indira_NPC-master\IndiNPC" "."
	Move ".\Indira_NPC-master\Setup-IndiNPC.exe" "."
	RD /S /Q ".\Indira_NPC-master"
)
%IF% "InifKit" (
	Move ".\InifKit\*.*" "."
	Move ".\InifKit\IK" "."
	RD /S /Q ".\InifKit"
)
%IF% "iwdification-master" (
	Move ".\iwdification-master\iwdification" "."
	RD /S /Q ".\iwdification-master"
)
%IF% "Jimfix-master" (
	Move ".\Jimfix-master\jimfix" "."
	RD /S /Q ".\Jimfix-master"
)
%IF% "Keenmarker" (
	Move ".\Keenmarker\*.*" "."
	Move ".\Keenmarker\portraits" "."
	Move ".\Keenmarker\Storm" "."
	RD /S /Q ".\Keenmarker"
)
%IF% "Keldorn_Romance-master" (
	Move ".\Keldorn_Romance-master\keldorn_rom" "."
	RD /S /Q ".\Keldorn_Romance-master"
)
%IF% "King_Dutka's_Thief v1.1" (
	Move ".\King_Dutka's_Thief v1.1\*.*" "."
	Move ".\King_Dutka's_Thief v1.1\King_Dutka's_Thief" "."
	RD /S /Q ".\King_Dutka's_Thief v1.1"
)
%IF% "Kivan_and_Deheriana-master" (
	Move ".\Kivan_and_Deheriana-master\kivan" "."
	RD /S /Q ".\Kivan_and_Deheriana-master"
)
%IF% "KorganFriendship-master" (
	Move ".\KorganFriendship-master\korganfriendship" "."
	RD /S /Q ".\KorganFriendship-master"
)
%IF% "bg2-npcmod-lena-master" (
	Move ".\bg2-npcmod-lena-master\setup-*" "."
	Move ".\bg2-npcmod-lena-master\Lena" "."
	RD /S /Q ".\bg2-npcmod-lena-master"
)
%IF% "bg2-tweaks-and-tricks-master" (
	Move ".\bg2-tweaks-and-tricks-master\tnt" "."
	Move ".\bg2-tweaks-and-tricks-master\docs" ".\tnt"
	RD /S /Q ".\bg2-tweaks-and-tricks-master"
)
%IF% "bg2-wildmage-2.1" (
	Move ".\bg2-wildmage-2.1\wildmage" "."
	Move ".\bg2-wildmage-2.1\docs" ".\wildmage"
	RD /S /Q ".\bg2-wildmage-2.1"
)
%IF% "MadeInHeaven_EncountersAndQuests-master" (
	Move ".\MadeInHeaven_EncountersAndQuests-master\mih_eq" "."
	RD /S /Q ".\MadeInHeaven_EncountersAndQuests-master"
)
%IF% "MadeInHeaven_ItemPack-master" (
	Move ".\MadeInHeaven_ItemPack-master\mih_ip" "."
	RD /S /Q ".\MadeInHeaven_ItemPack-master"
)
%IF% "Might_and_Guile-master" (
	Move ".\Might_and_Guile-master\Setup-*" "."
	Move ".\Might_and_Guile-master\might_and_guile" "."
	RD /S /Q ".\Might_and_Guile-master"
)
%IF% "Murneth-master" (
	Move ".\Murneth-master\mur'neth" "."
	RD /S /Q ".\Murneth-master"
)
%IF% "Ninde_NPC-master" (
	Move ".\Ninde_NPC-master\ninde" "."
	RD /S /Q ".\Ninde_NPC-master"
)
%IF% "NPC_EE-master" (
	Move ".\NPC_EE-master\Setup-*" "."
	Move ".\NPC_EE-master\npc_ee" "."
	RD /S /Q ".\NPC_EE-master"
)
%IF% "NTotSC-3.0.0" (
	Move ".\NTotSC-3.0.0\Setup-*" "."
	Move ".\NTotSC-3.0.0\NTotSC" "."
	RD /S /Q ".\NTotSC-3.0.0"
)
%IF% "Paladins_of_Faerun_Kitpack_V4" (
	Move ".\Paladins_of_Faerun_Kitpack_V4\Setup-*" "."
	Move ".\Paladins_of_Faerun_Kitpack_V4\PofKits" "."
	RD /S /Q ".\Paladins_of_Faerun_Kitpack_V4"
)
%IF% "PnP_Celestials-master" (
	Move ".\PnP_Celestials-master\celestials" "."
	RD /S /Q ".\PnP_Celestials-master"
)
%IF% "PoFqp v3" (
	Move ".\PoFqp v3\PoFQuestPack" "."
	Move ".\PoFqp v3\SETUP-PoFQuestPack.exe" "."
	RD /S /Q ".\PoFqp v3"
)
%IF% "refinements-master" (
	Move ".\refinements-master\setup-refinements.exe" "."
	Move ".\refinements-master\refinements" "."
	RD /S /Q ".\refinements-master"
)
%IF% "Romantic_Encounters_BG2-master" (
	Move ".\Romantic_Encounters_BG2-master\setup-refinements.exe" "."
	Move ".\Romantic_Encounters_BG2-master\RE" "."
	RD /S /Q ".\Romantic_Encounters_BG2-master"
)
%IF% "RotB Armor Set v1.0" (
	Move ".\RotB Armor Set v1.0\*.*" "."
	Move ".\RotB Armor Set v1.0\RotBArmorSet" "."
	RD /S /Q ".\RotB Armor Set v1.0"
)
%IF% SETUP-ROTBARMORSET.DEBUG del SETUP-ROTBARMORSET.DEBUG
%IF% "RoTerror-EE-master" (
	Move ".\RoTerror-EE-master\Setup-RoTerror.exe" "."
	Move ".\RoTerror-EE-master\RoTerror" "."
	RD /S /Q ".\RoTerror-EE-master"
)
%IF% "%BWD%\1309492052_rukrakiav.08.7z" %IFN% Setup-rukrakia.exe call ".\%BWIPS%\rukrakia.vbs"
%W5%
%IF% "루크모드v.08" ren "루크모드v.08" "rukrakia_v.08"
%IF% "rukrakia_v.08" (
	Move ".\rukrakia_v.08\*.*" "."
	Move ".\rukrakia_v.08\rukrakia" "."
	RD /S /Q ".\rukrakia_v.08
)
%IF% "Samurai Kit" (
	Move ".\Samurai Kit\Setup-Samurai.exe" "."
)
%IF% "SandrahItm-master" (
	Move ".\SandrahItm-master\Setup-*" "."
	Move ".\SandrahItm-master\SandrahItm" "."
	RD /S /Q ".\SandrahItm-master"
)
%IF% "SandrahNPC-master" (
	Move ".\SandrahNPC-master\Setup-*" "."
	Move ".\SandrahNPC-master\SandrahNPC" "."
	RD /S /Q ".\SandrahNPC-master"
)
%IF% "SandrahRTF-master" (
	Move ".\SandrahRtF-master\Setup-*" "."
	Move ".\SandrahRtF-master\SandrahRTF" "."
	RD /S /Q ".\SandrahRTF-master"
)
%IF% "SandrahToT-master" (
	Move ".\SandrahToT-master\SandrahToT-Setup*" "."
	Move ".\SandrahToT-master\SandrahToT" "."
	RD /S /Q ".\SandrahToT-master"
)
%IF% "Sarah-master" (
	Move ".\Sarah-master\sarahtob" "."
	RD /S /Q ".\Sarah-master"
)
%IF% "Scales_of_Balance-master" (
	Move ".\Scales_of_Balance-master\Setup-*" "."
	Move ".\Scales_of_Balance-master\scales_of_balance" "."
	RD /S /Q ".\Scales_of_Balance-master"
)
%IF% "ScionMod" (
	Move ".\ScionMod\ScionMod.exe" "."
	ren ScionMod.exe setup-ScionMod.exe
)
%IF% "Sellswords-master" (
	Move ".\Sellswords-master\Sellswords" "."
	Move ".\Sellswords-master\setup-Sellswords.exe" "."
	RD /S /Q ".\Sellswords-master"
)
%IF% "semi_multi_clerics-master" (
	Move ".\semi_multi_clerics-master\semi_multi_clerics" "."
	Move ".\semi_multi_clerics-master\setup-semi_multi_clerics.tp2" "."
	RD /S /Q ".\semi_multi_clerics-master"
)
%IF% "Shards_of_Ice-master" (
	Move ".\Shards_of_Ice-master\shardsofice" "."
	RD /S /Q ".\Shards_of_Ice-master"
)
%IF% "Sheena_v2.5" (
	Move ".\Sheena_v2.5\*.*" "."
	Move ".\Sheena_v2.5\Sheena" "."
	RD /S /Q ".\Sheena_v2.5
)
%IF% "SP_Collection-master" (
	Move ".\SP_Collection-master\spstuff" "."
	RD /S /Q ".\SP_Collection-master"
)
%IF% "SmilingImp-s_CrossBanterMod-1.2" (
	Move ".\SmilingImp-s_CrossBanterMod-1.2\Setup-SmilingImpCrossBanterMod.exe" "."
	Move ".\SmilingImp-s_CrossBanterMod-1.2\SmilingImpCrossBanterMod" "."
	RD /S /Q ".\SmilingImp-s_CrossBanterMod-1.2"
)
%IF% "Solaufeins_Rescue_NPC-2.2" (
	Move ".\Solaufeins_Rescue_NPC-2.2\c#solaufein" "."
	RD /S /Q ".\Solaufeins_Rescue_NPC-2.2"
)
%IF% "SpellRevisions-master" (
	Move ".\SpellRevisions-master\docs" ".\SpellRevisions-master\spell_rev"
	Move ".\SpellRevisions-master\spell_rev" "."
	RD /S /Q ".\SpellRevisions-master"
)
%IF% "stivan-master" (
	Move ".\stivan-master\stivan" "."
	RD /S /Q ".\stivan-master"
)
%IF% "StuffofTheMagi v4" (
	Move ".\StuffofTheMagi v4\*.*" "."
	Move ".\StuffofTheMagi v4\StuffofTheMagi" "."
	RD /S /Q ".\StuffofTheMagi v4"
)
%IF% "SwordCoastStratagems-master" (
	Move ".\SwordCoastStratagems-master\stratagems" "."
	RD /S /Q ".\SwordCoastStratagems-master"
)
%IF% "SwordCoastStratagems-31_RC3" (
	Move ".\SwordCoastStratagems-31_RC3\stratagems" "."
	RD /S /Q ".\SwordCoastStratagems-31_RC3"
)
%IF% "tb-kits-master" (
	Move ".\tb-kits-master\tb#kits" "."
	RD /S /Q ".\tb-kits-master"
)
%IF% "tb-tweaks-master" (
	Move ".\tb-tweaks-master\tb#tweaks" "."
	RD /S /Q ".\tb-tweaks-master"
)
%IF% "thalan-4.2.5" (
	Move ".\thalan-4.2.5\setup-thalan.exe" "."
	Move ".\thalan-4.2.5\thalan" "."
	RD /S /Q ".\thalan-4.2.5"
)
%IF% "The_Calling-master" (
	Move ".\The_Calling-master\thecalling" "."
	RD /S /Q ".\The_Calling-master"
)
%IF% "ToBR beta 4" (
	Move ".\ToBR beta 4\*.*" "."
	Move ".\ToBR beta 4\tobr" "."
	RD /S /Q ".\ToBR beta 4"
)
%IF% "ThrownHammers-master" (
	Move ".\ThrownHammers-master\*.*" "."
	Move ".\ThrownHammers-master\hammers" "."
	RD /S /Q ".\ThrownHammers-master"
)
%IF% "Tiax-master" (
	Move ".\Tiax-master\*.*" "."
	Move ".\Tiax-master\Tiax" "."
	RD /S /Q ".\Tiax-master"
)
%IF% "TowerOfDeception-master" (
	Move ".\TowerOfDeception-master\TOD" "."
	Move ".\TowerOfDeception-master\Setup-ToD.exe" "."
	RD /S /Q ".\TowerOfDeception-master"
)
%IF% "Tweaks-Anthology-master" (
	Move ".\Tweaks-Anthology-master\cdtweaks" "."
	RD /S /Q ".\Tweaks-Anthology-master"
)
%IF% "UnfinishedBusiness-27" (
	Move ".\UnfinishedBusiness-27\ub" "."
	RD /S /Q ".\UnfinishedBusiness-27"
)
%IF% "uniqueartifacts_v1.12" (
	Move ".\uniqueartifacts_v1.12\*.*" "."
	Move ".\uniqueartifacts_v1.12\uniqueartifacts" "."
	RD /S /Q ".\uniqueartifacts_v1.12"
)
%IF% "bg2-uniqueartifacts-master" (
	Move ".\bg2-uniqueartifacts-master\ua" "."
	RD /S /Q ".\bg2-uniqueartifacts-master"
)
%IF% "WheelsOfProphecy-master" (
	Move ".\WheelsOfProphecy-master\wheels" "."
	RD /S /Q ".\WheelsOfProphecy-master"
)
%IF% "widescreen-master" (
	Move ".\widescreen-master\wheels" "."
	RD /S /Q ".\widescreen-master"
)

:: correct wrongly packed files with extended filenames
%IF% "*-CoranBGFriend-*" (
	PUSHD "*-CoranBGFriend-*"
	Move /y "coranbgfriend" ".."
	Move /y "setup-coranbgfriend.exe" ".."
	POPD
	for /d %%i in (".\*-CoranBGFriend-*") do RD /S /Q %%i
)
if exist "DruidGroveMakeover\DruidGroveMakeover" (
	ren "DruidGroveMakeover" "DruidGroveMakeoverX"
	Move /y "DruidGroveMakeoverX\DruidGroveMakeover" "."
	Move /y "DruidGroveMakeoverX\SETUP-DruidGroveMakeover.exe" "."
	RD /S /Q ".\DruidGroveMakeoverX"
)
%IF% "*-ItemRevisions-*" (
	PUSHD "*-ItemRevisions-*"
	Move /y "item_rev" ".."
	POPD
	for /d %%i in (".\*-ItemRevisions-*") do RD /S /Q %%i
)
%IF% "*-Might_and_Guile-*" (
	PUSHD "*-Might_and_Guile-*"
	Move /y "might_and_guile" ".."
	Move /y "setup-might_and_guile.exe" ".."
	POPD
	for /d %%i in (".\*-Might_and_Guile-*") do RD /S /Q %%i
)
%IF% "*-NPC_EE-*" (
	PUSHD "*-NPC_EE-*"
	Move /y "NPC_EE" ".."
	Move /y "setup-npc_ee.exe" ".."
	POPD
	for /d %%i in (".\*-NPC_EE-*") do RD /S /Q %%i
)
%IF% "*-Scales_of_Balance-*" (
	PUSHD "*-Scales_of_Balance-*"
	Move /y "scales_of_balance" ".."
	Move /y "setup-scales_of_balance.exe" ".."
	POPD
	for /d %%i in (".\*-Scales_of_Balance-*") do RD /S /Q %%i
)
%IF% "*-SongAndSilence-*" (
	PUSHD "*-SongAndSilence-*"
	Move /y "song_and_silence" ".."
	POPD
	for /d %%i in (".\*-SongAndSilence-*") do RD /S /Q %%i
)
%IF% "*-SpellRevisions-*" (
	PUSHD "*-SpellRevisions-*"
	Move /y "spell_rev" ".."
	POPD
	for /d %%i in (".\*-SpellRevisions-*") do RD /S /Q %%i
)
%IF% "*-SwordCoastStratagems-*" (
	PUSHD "*-SwordCoastStratagems-*"
	Move /y "stratagems" ".."
	POPD
	for /d %%i in (".\*-SwordCoastStratagems-*") do RD /S /Q %%i
)
%IF% "*-ThrownHammers-*" (
	PUSHD "*-ThrownHammers-*"
	Move /y "hammers" ".."
	Move /y "*.*" ".."
	POPD
	for /d %%i in (".\*-ThrownHammers-*") do RD /S /Q %%i
)
%IF% "*-TowerOfDeception-*" (
	PUSHD "*-TowerOfDeception-*"
	Move /y "*.*" ".."
	Move /y "TOD" ".."
	POPD
	for /d %%i in (".\*-TowerOfDeception-*") do RD /S /Q %%i
)
%IF% "*-widescreen-*" (
	PUSHD "*-widescreen-*"
	Move /y "widescreen" ".."
	POPD
	for /d %%i in (".\*-widescreen-*") do RD /S /Q %%i
)

:: Vecna text replacement
%IF% vecna %IF% "Vecna v23 - Text Overhaul v1.1" (
	copy /y ".\Vecna v23 - Text Overhaul v1.1\Language\English\*.*" ".\vecna\Language\English"
	copy /y ".\Vecna v23 - Text Overhaul v1.1\Vecna v23 - Text Overhaul v1.1 - ReadMe.txt" ".\vecna"
	RD /S /Q ".\Vecna v23 - Text Overhaul v1.1"
)

:: IR revision
%IF% item_rev %IF% IR_Revised-master (
	robocopy /S ".\IR_Revised-master\spell_rev" item_rev
	RD /S /Q ".\IR_Revised-master"
)

:: SR revision
%IF% spell_rev %IF% SR_Revised-master (
	robocopy /S ".\SR_Revised-master\spell_rev" spell_rev
	RD /S /Q ".\SR_Revised-master"
)

:: IA add-ons
%IF% .\infinityanimations (
	%IF% .\frost_giant (
		move .\frost_giant\*.* .\infinityanimations\content
		RD /S /Q .\frost_giant
	)
	%IF% .\harpy (
		move .\harpy\*.* .\infinityanimations\content
		RD /S /Q .\harpy
		)
	%IF% .\shadow_large_murky (
		move .\shadow_large_murky\*.* .\infinityanimations\content
		RD /S /Q .\shadow_large_murky
	)
	%IF% .\shadow_small_murky (
		move .\shadow_small_murky\*.* .\infinityanimations\content
		RD /S /Q .\shadow_small_murky
	)
)

:: remove empty folders
for /D %%a in ("infinityanimations\content\*") do rd /q /s "%%a"

:: remove unnecessary OneNote files
%IF% NMTP (
	attrib "NMTP\*.*" -s -h -r /D /S
	For /R "NMTP" %%G IN (*.onetoc2) do del "%%G"
)

:: remove inadvertently existing files
RD /S /Q "NSC Portraits\backup"
MD "NSC Portraits\backup"

:: adjust wrong setup-###.exe
%IF% setup-bg1ub.exe copy /Y WeiDU.exe setup-bg1ub.exe | %M%

:: add missing setup-###.exe
%IF% 7C-Yoshi\7C-Yoshi.tp2 copy /Y WeiDU.exe SETUP-7C-Yoshi.exe | %M%
%IF% 7c#addlevel\7c#addlevel.tp2 copy /Y WeiDU.exe Setup-7c#addlevel.exe | %M%
%IF% 7c#sartweak\7c#sartweak.tp2 copy /Y WeiDU.exe SETUP-7c#sartweak.exe | %M%
%IF% A7#ImprovedArcher\setup-A7#ImprovedArcher.tp2 copy /Y WeiDU.exe setup-A7#ImprovedArcher.exe | %M%
%IF% ajantisbg1\Setup-AjantisBG1.tp2 copy /Y WeiDU.exe setup-AjantisBG1.exe | %M%
%IF% alternatives\setup-alternatives.tp2 copy /Y WeiDU.exe setup-alternatives.exe | %M%
%IF% angelo\setup-angelo.tp2 copy /Y WeiDU.exe setup-angelo.exe | %M%
%IF% aranw\setup-aranw.tp2 copy /Y WeiDU.exe setup-aranw.exe | %M%
%IF% Setup-Area_Patcher.tp2 copy /Y WeiDU.exe Setup-Area_Patcher.exe | %M%
%IF% atweaks\setup-atweaks.tp2 copy /Y WeiDU.exe setup-atweaks.exe | %M%
%IF% aurenaseph\setup-aurenaseph.tp2 copy /Y WeiDU.exe setup-aurenaseph.exe | %M%
%IF% backbrynnlaw\backbrynnlaw.tp2 copy /Y WeiDU.exe setup-backbrynnlaw.exe | %M%
%IF% bg1npc\bg1npc.tp2 copy /Y WeiDU.exe setup-bg1npc.exe | %M%
%IF% bg1npcmusic\setup-bg1npcmusic.tp2 copy /Y WeiDU.exe setup-bg1npcmusic.exe | %M%
%IF% bg2fixpack\setup-bg2fixpack.tp2 copy /Y WeiDU.exe setup-bg2fixpack.exe | %M%
%IF% bgt\bgt.tp2 copy /Y WeiDU.exe setup-bgt.exe | %M%
%IF% bgqe\setup-bgqe.tp2 copy /Y WeiDU.exe setup-bgqe.exe | %M%
%IF% Branwen\branwen.tp2 copy /Y WeiDU.exe setup-branwen.exe | %M%
%IF% c#endlessbg1\c#endlessbg1.tp2 copy /Y WeiDU.exe Setup-c#endlessbg1.exe | %M%
%IF% c#greythedog\Setup-c#greythedog.tp2 copy /Y WeiDU.exe Setup-c#greythedog.exe | %M%
%IF% c#solaufein\c#solaufein.tp2 copy /Y WeiDU.exe Setup-c#solaufein.exe | %M%
%IF% cdtweaks\setup-cdtweaks.tp2 copy /Y WeiDU.exe setup-cdtweaks.exe | %M%
%IF% celestials\setup-celestials.tp2 copy /Y WeiDU.exe setup-celestials.exe | %M%
%IF% cernd\cernd.tp2 copy /Y WeiDU.exe setup-cernd.exe | %M%
%IF% corthalaromantique\corthalaromantique.tp2 copy /Y WeiDU.exe setup-corthalaromantique.exe | %M%
%IF% Setup-Cre_Patcher.tp2 copy /Y WeiDU.exe Setup-Cre_Patcher.exe | %M%
%IF% setup-crefixer.tp2 copy /Y WeiDU.exe setup-crefixer.exe | %M%
%IF% crossmodbg2\setup-crossmodbg2.tp2 copy /Y WeiDU.exe setup-crossmodbg2.exe | %M%
%IF% CtBcutImp\setup-CtBcutImp.tp2 copy /Y WeiDU.exe setup-CtBcutImp.exe | %M%
%IF% d0tweak\setup-d0tweak.tp2 copy /Y WeiDU.exe setup-d0tweak.exe | %M%
%IF% divine_remix\setup-divine_remix.tp2 copy /Y WeiDU.exe setup-divine_remix.exe | %M%
%IF% DjinniCompanion\setup-DjinniCompanion.tp2 copy /Y WeiDU.exe setup-DjinniCompanion.exe | %M%
%IF% druidsor\setup-druidsor.tp2 copy /Y WeiDU.exe setup-druidsor.exe | %M%
%IF% DSotSC\DSotSC.tp2 copy /Y WeiDU.exe setup-DSotSC.exe | %M%
%IF% FishingForTrouble\FishingForTrouble.tp2 copy /Y WeiDU.exe setup-FishingForTrouble.exe | %M%
%IF% g3anniversary\setup-g3anniversary.tp2 copy /Y WeiDU.exe setup-g3anniversary.exe | %M%
%IF% garrick_flirt\setup-garrick_flirt.tp2 copy /Y WeiDU.exe setup-garrick_flirt.exe | %M%
%IF% Gavin\gavin.tp2 copy /Y WeiDU.exe setup-gavin.exe | %M%
%IF% gavin_bg2\setup-gavin_bg2.tp2 copy /Y WeiDU.exe setup-gavin_bg2.exe | %M%
%IF% GlamNPCPack\setup-glamnpcpack.tp2 copy /Y WeiDU.exe setup-glamnpcpack.exe | %M%
%IF% ggib_tweaks\ggib_tweaks.tp2 copy /Y WeiDU.exe setup-ggib_tweaks.exe | %M%
%IF% haerdalis_friendship\haerdalis_friendship.tp2 copy /Y WeiDU.exe setup-haerdalis_friendship.exe | %M%
%IF% haldamir\setup-haldamir.tp2 copy /Y WeiDU.exe setup-haldamir.exe | %M%
%IF% hiddenadventure\hiddenadventure.tp2 copy /Y WeiDU.exe setup-hiddenadventure.exe | %M%
%IF% Setup-Item_Patcher.tp2 copy /Y WeiDU.exe Setup-Item_Patcher.exe | %M%
%IF% item_rev\item_rev.tp2 copy /Y WeiDU.exe setup-item_rev.exe | %M%
%IF% iwdification\setup-iwdification.tp2 copy /Y WeiDU.exe setup-iwdification.exe | %M%
%IF% jimfix\setup-jimfix.tp2 copy /Y WeiDU.exe setup-jimfix.exe | %M%
%IF% keldorn_rom\keldorn_rom.tp2 copy /Y WeiDU.exe setup-keldorn_rom.exe | %M%
%IF% kivan\setup-kivan.tp2 copy /Y WeiDU.exe setup-kivan.exe | %M%
%IF% korganfriendship\korganfriendship.tp2 copy /Y WeiDU.exe setup-korganfriendship.exe | %M%
%IF% setup-lolfixer.tp2 copy /Y WeiDU.exe setup-lolfixer.exe | %M%
%IF% mih_eq\setup-mih_eq.tp2 copy /Y WeiDU.exe setup-mih_eq.exe | %M%
%IF% mih_ip\setup-mih_ip.tp2 copy /Y WeiDU.exe setup-mih_ip.exe | %M%
%IF% mur'neth\mur'neth.tp2 copy /Y WeiDU.exe setup-mur'neth.exe | %M%
%IF% ninde\ninde.tp2 copy /Y WeiDU.exe setup-ninde.exe | %M%
%IF% SETUP-NMT.tp2 copy /Y WeiDU.exe SETUP-NMT.exe | %M%
%IF% SETUP-NMR-HAPPY.tp2 copy /Y WeiDU.exe SETUP-NMR-HAPPY.exe | %M%
%IF% npc_tweak\npc_tweak.tp2 copy /Y WeiDU.exe setup-npc_tweak.exe | %M%
%IF% refinements\setup-refinements.tp2 copy /Y WeiDU.exe setup-refinements.exe | %M%
%IF% RE\Setup-RE.tp2 copy /Y WeiDU.exe Setup-RE.exe | %M%
%IF% rr\setup-rr.tp2 copy /Y WeiDU.exe setup-rr.exe | %M%
%IF% sarahtob\setup-sarahtob.tp2 copy /Y WeiDU.exe setup-sarahtob.exe | %M%
%IF% setup-semi_multi_clerics.tp2 copy /Y WeiDU.exe setup-semi_multi_clerics.exe | %M%
%IF% shardsofice\setup-shardsofice.tp2 copy /Y WeiDU.exe setup-shardsofice.exe | %M%
%IF% SkipChateauIrenicus\setup-SkipChateauIrenicus.tp2 copy /Y WeiDU.exe setup-SkipChateauIrenicus.exe | %M%
%IF% song_and_silence\setup-song_and_silence.tp2 copy /Y WeiDU.exe setup-song_and_silence.exe | %M%
%IF% spstuff\setup-spstuff.tp2 copy /Y WeiDU.exe setup-spstuff.exe | %M%
%IF% spell_rev\setup-spell_rev.tp2 copy /Y WeiDU.exe setup-spell_rev.exe | %M%
%IF% stivan\setup-stivan.tp2 copy /Y WeiDU.exe setup-stivan.exe | %M%
%IF% stratagems\setup-stratagems.tp2 copy /Y WeiDU.exe setup-stratagems.exe | %M%
%IF% tb#kits\tb#kits.tp2 copy /Y WeiDU.exe setup-tb#kits.exe | %M%
%IF% tb#tweaks\tb#tweaks.tp2 copy /Y WeiDU.exe setup-tb#tweaks.exe | %M%
%IF% thecalling\thecalling.tp2 copy /Y WeiDU.exe setup-thecalling.exe | %M%
%IF% setup-tooltipfix.tp2 copy /Y WeiDU.exe setup-tooltipfix.exe | %M%
%IF% tnt\tnt.tp2 copy /Y WeiDU.exe setup-tnt.exe | %M%
%IF% ub\setup-ub.tp2 copy /Y WeiDU.exe setup-ub.exe | %M%
%IF% ua\ua.tp2 copy /Y WeiDU.exe setup-ua.exe | %M%
%IF% Setup-W_3kradziej.tp2 copy /Y WeiDU.exe Setup-W_3kradziej.exe | %M%
%IF% wheels\setup-wheels.tp2 copy /Y WeiDU.exe setup-wheels.exe | %M%
%IF% widescreen\widescreen.tp2 copy /Y WeiDU.exe setup-widescreen.exe | %M%
%IF% setup-XP-info.tp2 copy /Y WeiDU.exe setup-XP-info.exe | %M%

:: rename filenames otherwise these mods cannot be installed automatically by WeiDU or checked by List.bat
%IF% "1Sylm-setup.tp2" ren "1Sylm-setup.tp2" "setup-1Sylm.tp2" | %M%
%IF% "1Sylm-setup.exe" ren "1Sylm-setup.exe" "setup-1Sylm.exe" | %M%
%IF% "setup RGenie.tp2" ren "setup RGenie.tp2" "setup-RGenie.tp2" | %M%
%IF% "setup RGenie.exe" ren "setup RGenie.exe" "setup-RGenie.exe" | %M%
%IF% "Setup-BWL Contest.tp2" ren "Setup-BWL Contest.tp2" "Setup-BWL_Contest.tp2" | %M%
%IF% "Setup-BWL Contest.exe" ren "Setup-BWL Contest.exe" "Setup-BWL_Contest.exe" | %M%
%IF% "SandrahToT-setup.tp2" ren "SandrahToT-setup.tp2" "setup-SandrahToT.tp2" | %M%
%IF% "SandrahToT-setup.exe" ren "SandrahToT-setup.exe" "setup-SandrahToT.exe" | %M%

:: workaround to handle filenames with special charcters
%IF% setup-b!tweak.exe move .\b!tweak\setup-b!tweak.tp2 "." | %M%
%IF% setup-b!tweak.exe ren setup-b!tweak.exe setup-btweak.exe | %M%
%IF% setup-b!tweak.tp2 ren setup-b!tweak.tp2 setup-btweak.tp2 | %M%

%IF% setup-b!tweak_lite.exe move .\b!tweak_lite\setup-b!tweak_lite.tp2 "." | %M%
%IF% setup-b!tweak_lite.exe ren setup-b!tweak_lite.exe setup-btweak_lite.exe | %M%
%IF% setup-b!tweak_lite.tp2 ren setup-b!tweak_lite.tp2 setup-btweak_lite.tp2 | %M%

%IF% setup-LavaIt!.exe move .\LavaIt!\Setup-LavaIt!.tp2 "." | %M%
%IF% Setup-LavaIt!.exe ren Setup-LavaIt!.exe Setup-LavaIt.exe | %M%
%IF% Setup-LavaIt!.tp2 ren Setup-LavaIt!.tp2 Setup-LavaIt.tp2 | %M%

%IF% "Setup-R*deur.exe" ren "Setup-R*deur.exe" "Setup-Rodeur.exe" | %M%
%IF% "Setup-R*deur.tp2" ren "Setup-R*deur.tp2" "Setup-Rodeur.tp2" | %M%

%IF% "SetupP!Bhaal.exe" ren "SetupP!Bhaal.exe" "Setup-PBhaal.exe" | %M%
%IF% "SetupP!Bhaal.tp2" ren "SetupP!Bhaal.tp2" "Setup-PBhaal.tp2" | %M%

%IF% "Setup-Grimuars_v4.1.exe" ren "Setup-Grimuars_v4.1.exe" "Setup-Grimuars.exe" | %M%
%IF% "Setup-Grimuars_v4.1.tp2" ren "Setup-Grimuars_v4.1.tp2" "Setup-Grimuars.tp2" | %M%

%IF% "lyricsetup.exe" ren "lyricsetup.exe" "Setup-lyric.exe" | %M%
%IF% "lyricsetup.tp2" ren "lyricsetup.tp2" "Setup-lyric.tp2" | %M%

:: There may be no "%M%" in the following lines because otherwise "^&Sith" causes a syntax error.
%IF% Setup-Jedi^&Sith.exe ren Setup-Jedi^&Sith.exe Setup-Jedi_Sith.exe
%IF% Setup-Jedi^&Sith.tp2 ren Setup-Jedi^&Sith.tp2 Setup-Jedi_Sith.tp2

%IF% Setup-!BInfinitySounds.exe move .\!BInfinitySounds\Setup-!BInfinitySounds.tp2 "." | %M%
%IF% Setup-!BInfinitySounds.exe ren Setup-!BInfinitySounds.exe Setup-BInfinitySounds.exe | %M%
%IF% Setup-!BInfinitySounds.tp2 ren Setup-!BInfinitySounds.tp2 Setup-BInfinitySounds.tp2 | %M%

:: add missing folder
xcopy /i /y .\bgt\install\win32\x86 .\bgt\install\win32\amd64