SETLOCAL
cd /d %DPATH%

:: convert the tp2-files and tra-files of EE-mods from UTF-8 to ANSI
:: for Western European use cp1252, for Central European use cp1250, for Cyrillic use cp1251, for Korean use cp949, for Simplified Chinese use cp936, for Traditional Chinese use cp950, for Japanese use cp932


%IFS%ClubOfPain.exe (
	.\%CONV% -f utf-8 -t cp1252 .\ClubOfPain\lang\english.tra > .\ClubOfPain\lang\english.ansi
	.\%CONV% -f utf-8 -t cp1252 .\ClubOfPain\lang\italian.tra > .\ClubOfPain\lang\italian.ansi
	del .\ClubOfPain\lang\*.tra
	ren .\ClubOfPain\lang\*.ansi *.tra
)

%IFS%karatur.exe (
	.\%CONV% -f utf-8 -t cp1252 .\karatur\setup-karatur.tp2 > .\karatur\setup-karatur.ansi
	del .\karatur\setup-karatur.tp2
	ren .\karatur\setup-karatur.ansi setup-karatur.tp2
)

%IFNS%PoFQuestPack.exe goto :skipPoFQ
	mkdir .\PoFQuestPack\Cyrillic\D\
	rem Cyrillic files are not translated yet and cannot be converted.
	%W2%
	SET POFQD=.\PoFQuestPack\English\D\
	FOR %%i IN (
		%POFQD%ELMMOD1.TRA
		%POFQD%ELMMOD4.TRA
		%POFQD%ESSPMOD.TRA
		%POFQD%ESSPMOD.TRA
		%POFQD%FIRQ1MOD.TRA
		%POFQD%FKIN2MOD.TRA
		%POFQD%FLPLAMOD.TRA
		%POFQD%GFALCON3.TRA
		%POFQD%LRDRMOD.TRA
		%POFQD%SABAT.TRA
		%POFQD%SKELGMOD.TRA
		%POFQD%SLAINE.TRA
		%POFQD%SLAINE1.TRA
		%POFQD%YARPEN.TRA
	) DO move %%i .\PoFQuestPack\Cyrillic\D

	mkdir .\PoFQuestPack\Cyrillic\Baf_new\
	SET POFQN=.\PoFQuestPack\English\Baf_new\
	FOR %%i IN (
		%POFQN%PF0037.TRA
		%POFQN%PF0136.TRA
		%POFQN%PF0148.TRA
		%POFQN%PF0453.TRA
		%POFQN%PF0511.TRA
	) DO move %%i .\PoFQuestPack\Cyrillic\Baf_new

	.\%CONV% -f utf-8 -t cp1252 .\PoFQuestPack\English\SETUP-PoFQuestPack.tra > .\PoFQuestPack\English\SETUP-PoFQuestPack.ansi
	del .\PoFQuestPack\English\SETUP-PoFQuestPack.tra
	ren .\PoFQuestPack\English\SETUP-PoFQuestPack.ansi SETUP-PoFQuestPack.tra

	mkdir .\PoFQuestPack\English\Baf_are_ansi
	FOR %%i IN (
		.\PoFQuestPack\English\Baf_are\*.tra
	) DO (
		.\%CONV% -f utf-8 -t cp1252 "%%i" > .\PoFQuestPack\English\Baf_are_ansi\%%~nxi"
	)
	RMDIR /s /q .\PoFQuestPack\English\Baf_are
	ren .\PoFQuestPack\English\Baf_are_ansi Baf_are

	mkdir .\PoFQuestPack\English\Baf_new_ansi
	FOR %%i IN (
		.\PoFQuestPack\English\Baf_new\*.tra
	) DO (
		.\%CONV% -f utf-8 -t cp1252 "%%i" > .\PoFQuestPack\English\Baf_new_ansi\%%~nxi"
	)
	RMDIR /s /q .\PoFQuestPack\English\Baf_new
	ren .\PoFQuestPack\English\Baf_new_ansi Baf_new

	mkdir .\PoFQuestPack\English\D_ansi
	FOR %%i IN (
		.\PoFQuestPack\English\D\*.tra
	) DO (
		.\%CONV% -f utf-8 -t cp1252 "%%i" > .\PoFQuestPack\English\D_ansi\%%~nxi"
	)
	RMDIR /s /q .\PoFQuestPack\English\D
	ren .\PoFQuestPack\English\D_ansi D

	move .\PoFQuestPack\Cyrillic\D\*.tra .\PoFQuestPack\English\D
	move .\PoFQuestPack\Cyrillic\Baf_new\*.tra .\PoFQuestPack\English\Baf_new
:skipPoFQ